Package org.apache.batchee.container.services

## Interface JobStatusManagerService

- All Superinterfaces:
    `BatchService`
  All Known Implementing Classes:
    `DefaultJobStatusManager`

      public interface JobStatusManagerService
      extends BatchService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JobStatus` | `createJobStatus​(long jobInstanceId)` | This method creates an entry for a new job instance
    `StepStatus` | `createStepStatus​(long stepExecutionId)` | Creates an entry for the step in the stepstatus table during jobsetup
    `JobStatus` | `getJobStatus​(long jobInstanceId)` | Returns the JobStatus for a given jobInstance id
    `JobStatus` | `getJobStatusFromExecutionId​(long executionId)` |
    `StepStatus` | `getStepStatus​(long jobInstanceId, String stepId)` |
    `void` | `updateJobBatchStatus​(long jobInstanceId, javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `updateJobCurrentStep​(long jobInstanceId, String currentStepName)` |
    `void` | `updateJobExecutionStatus​(long jobInstanceId, javax.batch.runtime.BatchStatus batchStatus, String exitStatus)` |
    `void` | `updateJobStatus​(JobStatus jobStatus)` |
    `void` | `updateJobStatusFromJSLStop​(long jobInstanceId, String restartOn)` |
    `void` | `updateJobStatusWithNewExecution​(long jobInstanceId, long newExecutionId)` |
    `void` | `updateStepStatus​(long stepExecutionId, StepStatus newStepStatus)` |

    - ### Methods inherited from interface org.apache.batchee.spi.BatchService

      `init`

- - ### Method Detail

    - #### createJobStatus

          JobStatus createJobStatus​(long jobInstanceId)
                             throws BatchContainerServiceException

      This method creates an entry for a new job instance
      Throws:
        `BatchContainerServiceException`

    - #### updateJobStatus

          void updateJobStatus​(JobStatus jobStatus)

    - #### getJobStatus

          JobStatus getJobStatus​(long jobInstanceId)
                          throws BatchContainerServiceException

      Returns the JobStatus for a given jobInstance id
      Parameters:
        `jobInstanceId` -
      Returns:
      Throws:
        `BatchContainerServiceException`

    - #### getJobStatusFromExecutionId

          JobStatus getJobStatusFromExecutionId​(long executionId)
                                         throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### updateJobBatchStatus

          void updateJobBatchStatus​(long jobInstanceId,
                                    javax.batch.runtime.BatchStatus batchStatus)
                             throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### updateJobExecutionStatus

          void updateJobExecutionStatus​(long jobInstanceId,
                                        javax.batch.runtime.BatchStatus batchStatus,
                                        String exitStatus)
                                 throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### updateJobStatusFromJSLStop

          void updateJobStatusFromJSLStop​(long jobInstanceId,
                                          String restartOn)
                                   throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### updateJobStatusWithNewExecution

          void updateJobStatusWithNewExecution​(long jobInstanceId,
                                               long newExecutionId)
                                        throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### updateJobCurrentStep

          void updateJobCurrentStep​(long jobInstanceId,
                                    String currentStepName)
                             throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### createStepStatus

          StepStatus createStepStatus​(long stepExecutionId)
                               throws BatchContainerServiceException

      Creates an entry for the step in the stepstatus table during jobsetup
      Parameters:
        `stepExecutionId` -
      Throws:
        `BatchContainerServiceException`

    - #### updateStepStatus

          void updateStepStatus​(long stepExecutionId,
                                StepStatus newStepStatus)
                         throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`

    - #### getStepStatus

          StepStatus getStepStatus​(long jobInstanceId,
                                   String stepId)
                            throws BatchContainerServiceException

      Throws:
        `BatchContainerServiceException`